/* Generated by powerful Codeforces Tool
 * Author: xxxodarap
 * Time: 2023-08-31 17:19
**/

#include<bits/stdc++.h>
using namespace std;
namespace R = std::ranges;

#define F(i, a, e) for(ll i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef double lf;
typedef complex<lf> cp;
typedef pair<int, int> pii;


template<class T> bool ckmin(T& a, const T& b) { return b < a ? a = b, 1 : 0; }
template<class T> bool ckmax(T& a, const T& b) { return a < b ? a = b, 1 : 0; }


const lf PI = acos(-1), EPSI = 1e-9;

mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());


// =============== Solution section ===============
const int MAXN = 2e5 + 5;
string a, b;

void solve(){
    // Code goes here ...
    cin >> a >> b;
    
    R(i, ssize(a))
        if(a[i] == b[i] and a[i] == '0' and a[i + 1] == b[i + 1] and a[i + 1] == '1'){
            cout << "YES" << endl;
            return;
        }
    cout << "NO" << endl;
}


// =============== Main section ===============
int main(){
    ios_base::sync_with_stdio(0); cin.tie(0);
    cout << setprecision(12); // << fixed;

    int T = 1;
    cin >> T;
    while(T--)
        solve();

    return 0;
}
        
